Class | Fog::Compute::RackspaceV2::Image
In: | lib/fog/rackspace/models/compute_v2/image.rb
Parent: | Fog::Model

### Methods

destroy metadata metadata= new ready?

### Constants

UNKNOWN | = | 'UNKNOWN'
ACTIVE | = | 'ACTIVE'
SAVING | = | 'SAVING'
ERROR | = | 'ERROR'
DELETED | = | 'DELETED'

### Public Class methods

new(attributes={})

### Public Instance methods

destroy()
metadata()
metadata=(hash={})
ready?(ready_state = ACTIVE, error_states=[ERROR])

[Validate]